{"openapi":"3.1.0","tags":[{"name":"Authentication"},{"name":"Lookup"},{"name":"Ingest"},{"name":"Tier1"},{"name":"Uploads"},{"name":"Orders"},{"name":"Integrations"},{"name":"OpenBase"}],"info":{"title":"core-server","description":"Partly Core Platform Server","version":"1.0.0"},"paths":{"/api/v1/analytics.events.insert":{"description":"Log a single analytics event","post":{"operationId":"analytics.events.insert","tags":["analytics"],"description":"Log a single analytics event","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/analytics.AnalyticsEventsInsertRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/analytics.AnalyticsEventsInsertResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/analytics.AnalyticsEventsInsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}},{"name":"origin","in":"header","required":true,"schema":{"oneOf":[{"description":"Null","type":"null"},{"$ref":"#/components/schemas/std.string.String"}]}},{"name":"referer","in":"header","required":true,"schema":{"oneOf":[{"description":"Null","type":"null"},{"$ref":"#/components/schemas/std.string.String"}]}}]}},"/api/v1/assemblies.experimental.search":{"description":"Tier1.5 experimental endpoint.","post":{"operationId":"assemblies.experimental.search","tags":["tier1"],"description":"Tier1.5 experimental endpoint.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/tier1.ExperimentalSearchRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tier1.ExperimentalSearchResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tier1.ExperimentalSearchError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/assemblies.subscribe.stream":{"description":"SSE stream emitting an event each time an assembly search completes. Proxies tier1-writer; `resume_point` is a Kafka offset, so reconnecting from a prior point replays from there.","post":{"operationId":"assemblies.subscribe.stream","tags":["tier1"],"description":"SSE stream emitting an event each time an assembly search completes. Proxies tier1-writer; `resume_point` is a Kafka offset, so reconnecting from a prior point replays from there.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/tier1.AssembliesSubscribeRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"text/event-stream":{"schema":{"$ref":"#/components/schemas/tier1.AssemblySubscribeEvent"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tier1.AssembliesSearchError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/assemblies.v4.search":{"description":"Endpoint for looking up assemblies based on provided HCA (Human Centric Assembly) IDs.","post":{"operationId":"assemblies.v4.search","tags":["tier1"],"description":"Endpoint for looking up assemblies based on provided HCA (Human Centric Assembly) IDs.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/tier1.AssembliesSearchRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tier1.AssembliesSearchResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tier1.AssembliesSearchError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/assemblies.v4.updates.stream":{"description":"SSE stream for one vehicle: emits `changed` whenever its assemblies search has a new answer (the tree, then the enrichments), so a client waiting on `in_progress` can search again at once instead of after `retry_after`. Emits `heartbeat` every 30s.","post":{"operationId":"assemblies.v4.updates.stream","tags":["tier1"],"description":"SSE stream for one vehicle: emits `changed` whenever its assemblies search has a new answer (the tree, then the enrichments), so a client waiting on `in_progress` can search again at once instead of after `retry_after`. Emits `heartbeat` every 30s.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/tier1.AssembliesUpdatesRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"text/event-stream":{"schema":{"$ref":"#/components/schemas/tier1.AssembliesUpdate"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/tier1.AssembliesSearchError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/async-imports.prepare":{"description":"Prepares a new job for ingesting sellables asynchronously.","post":{"operationId":"async-imports.prepare","tags":["Ingest"],"description":"Prepares a new job for ingesting sellables asynchronously.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ingest.AsyncImportsPrepareRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ingest.AsyncImportsPrepareResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ingest.AsyncImportsPrepareError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.configuration.baselines.insert":{"description":"Append or supersede an effective-dated baseline revision with an audit record. Restricted to billing staff.","post":{"operationId":"billing.configuration.baselines.insert","tags":["Billing"],"description":"Append or supersede an effective-dated baseline revision with an audit record. Restricted to billing staff.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.BaselineWriteRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.BaselineDetail"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.BaselineWriteError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.configuration.history.get":{"description":"Get bounded revision history for billing configuration. Restricted to billing staff.","post":{"operationId":"billing.configuration.history.get","tags":["Billing"],"description":"Get bounded revision history for billing configuration. Restricted to billing staff.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ConfigurationHistoryRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ConfigurationHistoryResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ConfigurationHistoryError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.configuration.preview.get":{"description":"Rate hypothetical samples against persisted configuration without writing. Fails closed on missing evidence. Restricted to billing staff.","post":{"operationId":"billing.configuration.preview.get","tags":["Billing"],"description":"Rate hypothetical samples against persisted configuration without writing. Fails closed on missing evidence. Restricted to billing staff.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ConfigurationPreviewRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ConfigurationPreviewResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ConfigurationPreviewError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.configuration.pricing.insert":{"description":"Append or supersede an effective-dated pricing policy with an audit record. Restricted to billing staff.","post":{"operationId":"billing.configuration.pricing.insert","tags":["Billing"],"description":"Append or supersede an effective-dated pricing policy with an audit record. Restricted to billing staff.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PricingWriteRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PricingRevisionDetail"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PricingWriteError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.configuration.relationship-evidence.get":{"description":"Get a short-lived private download URL for relationship evidence. Staff only.","post":{"operationId":"billing.configuration.relationship-evidence.get","tags":["Billing"],"description":"Get a short-lived private download URL for relationship evidence. Staff only.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipEvidenceUrlRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.AttachmentUrlResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipEvidenceUrlError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.configuration.relationship-evidence.insert":{"description":"Commit uploaded supporting evidence to one billing relationship. Staff only; this is not claim acceptance.","post":{"operationId":"billing.configuration.relationship-evidence.insert","tags":["Billing"],"description":"Commit uploaded supporting evidence to one billing relationship. Staff only; this is not claim acceptance.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipEvidenceInsertRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipEvidenceInsertResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipEvidenceInsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.configuration.relationship-evidence.list":{"description":"List supporting evidence for one billing relationship. Staff only.","post":{"operationId":"billing.configuration.relationship-evidence.list","tags":["Billing"],"description":"List supporting evidence for one billing relationship. Staff only.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipEvidenceListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipEvidenceListResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipEvidenceListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.configuration.relationship-evidence.prepare":{"description":"Prepare private PDF or image uploads as supporting evidence for one billing relationship. Staff only.","post":{"operationId":"billing.configuration.relationship-evidence.prepare","tags":["Billing"],"description":"Prepare private PDF or image uploads as supporting evidence for one billing relationship. Staff only.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipEvidencePrepareRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipEvidencePrepareResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipEvidencePrepareError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.configuration.relationships.insert":{"description":"Register a canonical seller/buyer billing relationship idempotently. Restricted to billing staff.","post":{"operationId":"billing.configuration.relationships.insert","tags":["Billing"],"description":"Register a canonical seller/buyer billing relationship idempotently. Restricted to billing staff.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipInsertRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipDetail"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipInsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.configuration.relationships.list":{"description":"List seller/buyer billing relationships for a subscription. Restricted to billing staff.","post":{"operationId":"billing.configuration.relationships.list","tags":["Billing"],"description":"List seller/buyer billing relationships for a subscription. Restricted to billing staff.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.RelationshipDetail"}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.RelationshipListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.configuration.resolve.get":{"description":"Resolve persisted classification, baseline and pricing for an event and period. Restricted to billing staff.","post":{"operationId":"billing.configuration.resolve.get","tags":["Billing"],"description":"Resolve persisted classification, baseline and pricing for an event and period. Restricted to billing staff.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ConfigurationResolveRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ConfigurationResolveResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ConfigurationResolveError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.credit-note-requests.insert":{"description":"Create a new credit note request","post":{"operationId":"billing.credit-note-requests.insert","tags":["Billing"],"description":"Create a new credit note request","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CreditNoteRequestCreateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CreditNoteRequestDetail"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CreditNoteRequestInsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.credit-note-requests.list":{"description":"List credit note requests with optional filters","post":{"operationId":"billing.credit-note-requests.list","tags":["Billing"],"description":"List credit note requests with optional filters","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CreditNoteRequestListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"type":"object","title":"ForwardPaginatedList<billing.CreditNoteRequestDetail>","required":["items","pagination"],"properties":{"items":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.CreditNoteRequestDetail"}},"pagination":{"oneOf":[{"description":"Null","type":"null"},{"$ref":"#/components/schemas/ForwardPagination"}]}}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CreditNoteRequestListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.credit-note-requests.update":{"description":"Update a credit note request status or details","post":{"operationId":"billing.credit-note-requests.update","tags":["Billing"],"description":"Update a credit note request status or details","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CreditNoteRequestUpdateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CreditNoteRequestDetail"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CreditNoteRequestUpdateError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.currencies.list":{"description":"List all currencies","post":{"operationId":"billing.currencies.list","tags":["Billing"],"description":"List all currencies","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CurrencyListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.CurrencyListItem"}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CurrencyListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.currency-exchange-rates.list":{"description":"List latest exchange rates for a target currency. Restricted to Partly Staff","post":{"operationId":"billing.currency-exchange-rates.list","tags":["Billing"],"description":"List latest exchange rates for a target currency. Restricted to Partly Staff","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CurrencyExchangeRateListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.CurrencyExchangeRateListItem"}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CurrencyExchangeRateListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.customers.attachments.get":{"description":"Get a presigned download URL for one billing customer attachment","post":{"operationId":"billing.customers.attachments.get","tags":["Billing"],"description":"Get a presigned download URL for one billing customer attachment","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerAttachmentUrlRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.AttachmentUrlResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerAttachmentUrlError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.customers.attachments.insert":{"description":"Commit uploaded private attachments to a billing customer","post":{"operationId":"billing.customers.attachments.insert","tags":["Billing"],"description":"Commit uploaded private attachments to a billing customer","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerAttachmentsInsertRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerAttachmentsInsertResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerAttachmentsInsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.customers.attachments.list":{"description":"List private attachments on a billing customer (is_internal visibility applied)","post":{"operationId":"billing.customers.attachments.list","tags":["Billing"],"description":"List private attachments on a billing customer (is_internal visibility applied)","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerAttachmentsListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerAttachmentsListResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerAttachmentsListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.customers.attachments.prepare":{"description":"Prepare private upload URLs for files attached to a billing customer","post":{"operationId":"billing.customers.attachments.prepare","tags":["Billing"],"description":"Prepare private upload URLs for files attached to a billing customer","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerAttachmentsPrepareRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.AttachmentsPrepareResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerAttachmentsPrepareError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.customers.attachments.remove":{"description":"Remove a private attachment from a billing customer","post":{"operationId":"billing.customers.attachments.remove","tags":["Billing"],"description":"Remove a private attachment from a billing customer","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerAttachmentRemoveRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"empty object","type":"object","properties":{}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerAttachmentRemoveError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.customers.get":{"description":"Get detail on a billing customer","post":{"operationId":"billing.customers.get","tags":["Billing"],"description":"Get detail on a billing customer","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerGetRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerGetError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.customers.insert":{"description":"Create a billing customer from an existing organization/business","post":{"operationId":"billing.customers.insert","tags":["Billing"],"description":"Create a billing customer from an existing organization/business","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerCreateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerInsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.customers.list":{"description":"Lists billing customers","post":{"operationId":"billing.customers.list","tags":["Billing"],"description":"Lists billing customers","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"type":"object","title":"ForwardPaginatedList<billing.CustomerListItem>","required":["items","pagination"],"properties":{"items":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.CustomerListItem"}},"pagination":{"oneOf":[{"description":"Null","type":"null"},{"$ref":"#/components/schemas/ForwardPagination"}]}}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.customers.remove":{"description":"Remove a billing customer","post":{"operationId":"billing.customers.remove","tags":["Billing"],"description":"Remove a billing customer","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerRemoveRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"empty object","type":"object","properties":{}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerRemoveError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.customers.statement.get":{"description":"Customer account statement (dated activity ledger, balances, and aging) for a period","post":{"operationId":"billing.customers.statement.get","tags":["Billing"],"description":"Customer account statement (dated activity ledger, balances, and aging) for a period","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerStatementGetRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerStatementResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerStatementGetError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.customers.update":{"description":"Update a billing customer","post":{"operationId":"billing.customers.update","tags":["Billing"],"description":"Update a billing customer","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerUpdateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.CustomerUpdateError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.entitlement-overrides.insert":{"description":"Upsert a manual entitlement override for an organization. Restricted to Partly Staff","post":{"operationId":"billing.entitlement-overrides.insert","tags":["Billing"],"description":"Upsert a manual entitlement override for an organization. Restricted to Partly Staff","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.EntitlementOverridesInsertRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.EntitlementOverride"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.EntitlementOverridesUpsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.entitlement-overrides.list":{"description":"List manual entitlement overrides for an organization. Restricted to Partly Staff","post":{"operationId":"billing.entitlement-overrides.list","tags":["Billing"],"description":"List manual entitlement overrides for an organization. Restricted to Partly Staff","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.EntitlementOverridesListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.EntitlementOverride"}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.EntitlementOverridesListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.entitlement-overrides.remove":{"description":"Remove a manual entitlement override for an organization. Restricted to Partly Staff","post":{"operationId":"billing.entitlement-overrides.remove","tags":["Billing"],"description":"Remove a manual entitlement override for an organization. Restricted to Partly Staff","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.EntitlementOverridesRemoveRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"empty object","type":"object","properties":{}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.EntitlementOverridesRemoveError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.entitlements.insert":{"description":"Upserts an entitlement. Restricted to Partly Staff","post":{"operationId":"billing.entitlements.insert","tags":["Billing"],"description":"Upserts an entitlement. Restricted to Partly Staff","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.EntitlementsInsertRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.Entitlement"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.EntitlementsUpsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.entitlements.list":{"description":"List all entitlements. Restricted to Partly Staff","post":{"operationId":"billing.entitlements.list","tags":["Billing"],"description":"List all entitlements. Restricted to Partly Staff","responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.Entitlement"}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.EntitlementsListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.events.get":{"description":"Get an individual billing event","post":{"operationId":"billing.events.get","tags":["Billing"],"description":"Get an individual billing event","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/uuid.Uuid"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.EventDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.EventGetError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.events.list":{"description":"Lists billing events which the current user is permitted to see","post":{"operationId":"billing.events.list","tags":["Billing"],"description":"Lists billing events which the current user is permitted to see","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.EventListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"type":"object","title":"ForwardPaginatedList<billing.EventDetailItem>","required":["items","pagination"],"properties":{"items":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.EventDetailItem"}},"pagination":{"oneOf":[{"description":"Null","type":"null"},{"$ref":"#/components/schemas/ForwardPagination"}]}}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.EventListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.invoices.attachments.get":{"description":"Get a presigned download URL for one billing invoice attachment","post":{"operationId":"billing.invoices.attachments.get","tags":["Billing"],"description":"Get a presigned download URL for one billing invoice attachment","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceAttachmentUrlRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.AttachmentUrlResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceAttachmentUrlError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.invoices.attachments.insert":{"description":"Commit uploaded private attachments to a billing invoice","post":{"operationId":"billing.invoices.attachments.insert","tags":["Billing"],"description":"Commit uploaded private attachments to a billing invoice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceAttachmentsInsertRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceAttachmentsInsertResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceAttachmentsInsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.invoices.attachments.list":{"description":"List private attachments on a billing invoice (is_internal visibility applied)","post":{"operationId":"billing.invoices.attachments.list","tags":["Billing"],"description":"List private attachments on a billing invoice (is_internal visibility applied)","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceAttachmentsListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceAttachmentsListResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceAttachmentsListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.invoices.attachments.prepare":{"description":"Prepare private upload URLs for files attached to a billing invoice","post":{"operationId":"billing.invoices.attachments.prepare","tags":["Billing"],"description":"Prepare private upload URLs for files attached to a billing invoice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceAttachmentsPrepareRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.AttachmentsPrepareResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceAttachmentsPrepareError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.invoices.attachments.remove":{"description":"Remove a private attachment from a billing invoice","post":{"operationId":"billing.invoices.attachments.remove","tags":["Billing"],"description":"Remove a private attachment from a billing invoice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceAttachmentRemoveRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"empty object","type":"object","properties":{}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceAttachmentRemoveError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.invoices.get":{"description":"Get invoice details","post":{"operationId":"billing.invoices.get","tags":["Billing"],"description":"Get invoice details","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/uuid.Uuid"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceDetail"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceGetError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.invoices.insert":{"description":"Create a new draft invoice","post":{"operationId":"billing.invoices.insert","tags":["Billing"],"description":"Create a new draft invoice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceCreateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceDetail"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceInsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.invoices.list":{"description":"List invoices with optional filters and pagination","post":{"operationId":"billing.invoices.list","tags":["Billing"],"description":"List invoices with optional filters and pagination","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"type":"object","title":"ForwardPaginatedList<billing.InvoiceListItem>","required":["items","pagination"],"properties":{"items":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.InvoiceListItem"}},"pagination":{"oneOf":[{"description":"Null","type":"null"},{"$ref":"#/components/schemas/ForwardPagination"}]}}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.invoices.orders.list":{"description":"List the orders behind an invoice's metered lines, computed from the usage facts the invoice was generated from, with per-line totals that reconcile to the invoice","post":{"operationId":"billing.invoices.orders.list","tags":["Billing"],"description":"List the orders behind an invoice's metered lines, computed from the usage facts the invoice was generated from, with per-line totals that reconcile to the invoice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceOrderDetailListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceOrderDetailPage"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceOrderDetailListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.invoices.overdue-status.get":{"description":"Overdue-invoice status for the current organization: whether payable invoices are past due, when access will be suspended for non-payment, and a payment link","post":{"operationId":"billing.invoices.overdue-status.get","tags":["Billing"],"description":"Overdue-invoice status for the current organization: whether payable invoices are past due, when access will be suspended for non-payment, and a payment link","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceOverdueStatusRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceOverdueStatusResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceOverdueStatusError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.invoices.update":{"description":"Update an existing invoice, e.g. status or metadata","post":{"operationId":"billing.invoices.update","tags":["Billing"],"description":"Update an existing invoice, e.g. status or metadata","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceUpdateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceDetail"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.InvoiceUpdateError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.notes.insert":{"description":"Add an internal note to a billing customer or invoice","post":{"operationId":"billing.notes.insert","tags":["Billing"],"description":"Add an internal note to a billing customer or invoice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.NoteInsertRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.NoteInsertResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.NoteInsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.notes.list":{"description":"List internal notes on a billing customer or invoice","post":{"operationId":"billing.notes.list","tags":["Billing"],"description":"List internal notes on a billing customer or invoice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.NoteListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.NoteListResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.NoteListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.notes.remove":{"description":"Delete a billing note","post":{"operationId":"billing.notes.remove","tags":["Billing"],"description":"Delete a billing note","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.NoteRemoveRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"empty object","type":"object","properties":{}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.NoteRemoveError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.notes.update":{"description":"Edit the body of a billing note","post":{"operationId":"billing.notes.update","tags":["Billing"],"description":"Edit the body of a billing note","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.NoteUpdateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.NoteUpdateResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.NoteUpdateError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.payment-method-setups.get":{"description":"Resume payment-method setup and return a provider-neutral next action","post":{"operationId":"billing.payment-method-setups.get","tags":["Billing"],"description":"Resume payment-method setup and return a provider-neutral next action","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentMethodSetupGetRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentMethodSetupItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentMethodSetupError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.payment-method-setups.insert":{"description":"Start an asynchronous reusable payment-method setup","post":{"operationId":"billing.payment-method-setups.insert","tags":["Billing"],"description":"Start an asynchronous reusable payment-method setup","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentMethodSetupStartRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentMethodSetupItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentMethodSetupError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.payment-methods.list":{"description":"List a customer's active payment methods, mandate, collection profile, and any resumable setup","post":{"operationId":"billing.payment-methods.list","tags":["Billing"],"description":"List a customer's active payment methods, mandate, collection profile, and any resumable setup","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentMethodsListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentMethodsListResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentMethodsListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.payment-methods.remove":{"description":"Remove a reusable payment method and turn off automatic collection","post":{"operationId":"billing.payment-methods.remove","tags":["Billing"],"description":"Remove a reusable payment method and turn off automatic collection","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentMethodRemoveRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"empty object","type":"object","properties":{}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentMethodRemoveError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.payments.insert":{"description":"Record a manual payment against an invoice","post":{"operationId":"billing.payments.insert","tags":["Billing"],"description":"Record a manual payment against an invoice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentInsertRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentInsertResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentInsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.payments.list":{"description":"List payments recorded against a billing customer or invoice","post":{"operationId":"billing.payments.list","tags":["Billing"],"description":"List payments recorded against a billing customer or invoice","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentListResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.payments.update":{"description":"Edit a manually recorded payment","post":{"operationId":"billing.payments.update","tags":["Billing"],"description":"Edit a manually recorded payment","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentUpdateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentUpdateResponse"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PaymentUpdateError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.prices.get":{"description":"Get detailed information for a specific price","post":{"operationId":"billing.prices.get","tags":["Billing"],"description":"Get detailed information for a specific price","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/uuid.Uuid"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PriceDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PriceGetError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.prices.insert":{"description":"Create a new price for an existing product","post":{"operationId":"billing.prices.insert","tags":["Billing"],"description":"Create a new price for an existing product","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PriceCreateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PriceDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PriceInsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.prices.list":{"description":"List prices of Products and Services","post":{"operationId":"billing.prices.list","tags":["Billing"],"description":"List prices of Products and Services","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PriceListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"type":"object","title":"ForwardPaginatedList<billing.PriceListItem>","required":["items","pagination"],"properties":{"items":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.PriceListItem"}},"pagination":{"oneOf":[{"description":"Null","type":"null"},{"$ref":"#/components/schemas/ForwardPagination"}]}}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PriceListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.prices.remove":{"description":"Remove an individual price for an existing product","post":{"operationId":"billing.prices.remove","tags":["Billing"],"description":"Remove an individual price for an existing product","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/uuid.Uuid"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"empty object","type":"object","properties":{}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PriceRemoveError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.prices.update":{"description":"Update a price for an existing product","post":{"operationId":"billing.prices.update","tags":["Billing"],"description":"Update a price for an existing product","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PriceUpdateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PriceDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.PriceUpdateError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.products.entitlements.insert":{"description":"Creates a relation between a billing product and an entitlement","post":{"operationId":"billing.products.entitlements.insert","tags":["Billing"],"description":"Creates a relation between a billing product and an entitlement","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ProductEntitlementsAddRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"empty object","type":"object","properties":{}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ProductEntitlementsAddError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.products.entitlements.remove":{"description":"Removes a relation between a billing product and an entitlements","post":{"operationId":"billing.products.entitlements.remove","tags":["Billing"],"description":"Removes a relation between a billing product and an entitlements","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ProductEntitlementsRemoveRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"empty object","type":"object","properties":{}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ProductEntitlementsRemoveError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.products.get":{"description":"Get an individual Product or Service","post":{"operationId":"billing.products.get","tags":["Billing"],"description":"Get an individual Product or Service","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/uuid.Uuid"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ProductDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ProductGetError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.products.insert":{"description":"Create an individual Product or Service","post":{"operationId":"billing.products.insert","tags":["Billing"],"description":"Create an individual Product or Service","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ProductCreateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ProductDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ProductInsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.products.list":{"description":"List Products and Services","post":{"operationId":"billing.products.list","tags":["Billing"],"description":"List Products and Services","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ProductListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"type":"object","title":"ForwardPaginatedList<billing.ProductListItem>","required":["items","pagination"],"properties":{"items":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.ProductListItem"}},"pagination":{"oneOf":[{"description":"Null","type":"null"},{"$ref":"#/components/schemas/ForwardPagination"}]}}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ProductListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.products.remove":{"description":"Remove an individual Product or Service","post":{"operationId":"billing.products.remove","tags":["Billing"],"description":"Remove an individual Product or Service","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/uuid.Uuid"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"empty object","type":"object","properties":{}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ProductRemoveError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.products.update":{"description":"Update an individual Product or Service","post":{"operationId":"billing.products.update","tags":["Billing"],"description":"Update an individual Product or Service","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ProductUpdateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ProductDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.ProductUpdateError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.staff-dashboard.get":{"description":"Global billing dashboard summary for Partly staff","post":{"operationId":"billing.staff-dashboard.get","tags":["Billing"],"description":"Global billing dashboard summary for Partly staff","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.StaffDashboardGetRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.StaffDashboardSummary"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.StaffDashboardGetError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.subscriptions.get":{"description":"Get detail on a billing subscription","post":{"operationId":"billing.subscriptions.get","tags":["Billing"],"description":"Get detail on a billing subscription","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/uuid.Uuid"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionGetError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.subscriptions.insert":{"description":"Create a billing subscription for a customer.","post":{"operationId":"billing.subscriptions.insert","tags":["Billing"],"description":"Create a billing subscription for a customer.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionCreateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionInsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.subscriptions.invoice-preview.get":{"description":"Preview a subscription invoice using its effective billing terms","post":{"operationId":"billing.subscriptions.invoice-preview.get","tags":["Billing"],"description":"Preview a subscription invoice using its effective billing terms","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionInvoicePreviewRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionInvoicePreview"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionInvoicePreviewError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.subscriptions.issuance.get":{"description":"Get recurring invoice issuance configuration and its latest outcome","post":{"operationId":"billing.subscriptions.issuance.get","tags":["Billing"],"description":"Get recurring invoice issuance configuration and its latest outcome","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionIssuanceGetRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"oneOf":[{"description":"Null","type":"null"},{"$ref":"#/components/schemas/billing.SubscriptionIssuanceSchedule"}]}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionIssuanceGetError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.subscriptions.issuance.update":{"description":"Enable, pause or retry Partly-owned recurring invoice issuance from a reviewed service period","post":{"operationId":"billing.subscriptions.issuance.update","tags":["Billing"],"description":"Enable, pause or retry Partly-owned recurring invoice issuance from a reviewed service period","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionIssuanceConfigureRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionIssuanceSchedule"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionIssuanceConfigureError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.subscriptions.list":{"description":"List billing subscriptions","post":{"operationId":"billing.subscriptions.list","tags":["Billing"],"description":"List billing subscriptions","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.SubscriptionListItem"}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.subscriptions.remove":{"description":"Remove an individual billing subscription","post":{"operationId":"billing.subscriptions.remove","tags":["Billing"],"description":"Remove an individual billing subscription","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/uuid.Uuid"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"empty object","type":"object","properties":{}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionRemoveError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.subscriptions.update":{"description":"Update a billing subscription for a customer","post":{"operationId":"billing.subscriptions.update","tags":["Billing"],"description":"Update a billing subscription for a customer","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionUpdateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.SubscriptionUpdateError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.tax-rates.get":{"description":"Get details of a specific tax rate","post":{"operationId":"billing.tax-rates.get","tags":["Billing"],"description":"Get details of a specific tax rate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.TaxRateGetRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.TaxRateDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.TaxRateGetError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.tax-rates.insert":{"description":"Create a new tax rate","post":{"operationId":"billing.tax-rates.insert","tags":["Billing"],"description":"Create a new tax rate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.TaxRateCreateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.TaxRateDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.TaxRateInsertError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.tax-rates.list":{"description":"List tax rates with optional filtering","post":{"operationId":"billing.tax-rates.list","tags":["Billing"],"description":"List tax rates with optional filtering","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.TaxRateListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"type":"object","title":"ForwardPaginatedList<billing.TaxRateListItem>","required":["items","pagination"],"properties":{"items":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.TaxRateListItem"}},"pagination":{"oneOf":[{"description":"Null","type":"null"},{"$ref":"#/components/schemas/ForwardPagination"}]}}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.TaxRateListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.tax-rates.remove":{"description":"Delete a tax rate","post":{"operationId":"billing.tax-rates.remove","tags":["Billing"],"description":"Delete a tax rate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/uuid.Uuid"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/std.tuple.Tuple0"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.TaxRateRemoveError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.tax-rates.update":{"description":"Update an existing tax rate","post":{"operationId":"billing.tax-rates.update","tags":["Billing"],"description":"Update an existing tax rate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.TaxRateUpdateRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.TaxRateDetailItem"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.TaxRateUpdateError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.usage-by-dimension.list":{"description":"Get usage summaries grouped by a dimension (e.g., by customer).","post":{"operationId":"billing.usage-by-dimension.list","tags":["Billing"],"description":"Get usage summaries grouped by a dimension (e.g., by customer).","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.UsageByDimensionParams"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"type":"object","title":"ForwardPaginatedList<billing.GroupedUsageItem>","required":["items","pagination"],"properties":{"items":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.GroupedUsageItem"}},"pagination":{"oneOf":[{"description":"Null","type":"null"},{"$ref":"#/components/schemas/ForwardPagination"}]}}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.UsageByDimensionListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.usage-meters.list":{"description":"Lists usage meters which the current user is permitted to see","post":{"operationId":"billing.usage-meters.list","tags":["Billing"],"description":"Lists usage meters which the current user is permitted to see","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.UsageMeterListRequest"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"type":"object","title":"ForwardPaginatedList<billing.UsageMeterListItem>","required":["items","pagination"],"properties":{"items":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.UsageMeterListItem"}},"pagination":{"oneOf":[{"description":"Null","type":"null"},{"$ref":"#/components/schemas/ForwardPagination"}]}}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.UsageMeterListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/billing.usage-summaries.list":{"description":"Get time-series usage summaries (e.g., usage per day).","post":{"operationId":"billing.usage-summaries.list","tags":["Billing"],"description":"Get time-series usage summaries (e.g., usage per day).","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.UsageSummaryListParams"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"type":"object","title":"ForwardPaginatedList<billing.UsageSummaryItem>","required":["items","pagination"],"properties":{"items":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/billing.UsageSummaryItem"}},"pagination":{"oneOf":[{"description":"Null","type":"null"},{"$ref":"#/components/schemas/ForwardPagination"}]}}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/billing.UsageSummaryListError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/business-rules.insert-many":{"description":"Insert many business rules in one transaction. Every rule is sourced from the same subject organization; each entry becomes its own rule.","post":{"operationId":"business-rules.insert-many","tags":["business-rules"],"description":"Insert many business rules in one transaction. Every rule is sourced from the same subject organization; each entry becomes its own rule.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_insert_many.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_insert_many.Response"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_insert_many.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/business-rules.remove":{"description":"Remove a business rule","post":{"operationId":"business-rules.remove","tags":["business-rules"],"description":"Remove a business rule","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_remove.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules.BusinessRule"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_remove.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/business-rules.remove-many":{"description":"Remove many business rules in one call. Every rule must belong to the same subject organization; ids that match nothing are reported in `not_found`.","post":{"operationId":"business-rules.remove-many","tags":["business-rules"],"description":"Remove many business rules in one call. Every rule must belong to the same subject organization; ids that match nothing are reported in `not_found`.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_remove_many.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_remove_many.Response"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_remove_many.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/business-rules.v2.evaluate":{"description":"Evaluates a business rule against a context (V2, schema-based). When using BulkEvaluate mode, defaults to a maximum of 1000 results per page when no limit is specified.","post":{"operationId":"business-rules.v2.evaluate","tags":["business-rules"],"description":"Evaluates a business rule against a context (V2, schema-based). When using BulkEvaluate mode, defaults to a maximum of 1000 results per page when no limit is specified.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_evaluate_v2.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_evaluate_v2.Response"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_evaluate_v2.BusinessRulesEvaluateError"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/business-rules.v2.get":{"description":"Gets a business rule (V2). Returns the rule body as a typed RuleSchema","post":{"operationId":"business-rules.v2.get","tags":["business-rules"],"description":"Gets a business rule (V2). Returns the rule body as a typed RuleSchema","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_get_v2.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_get_v2.Response"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_get.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/business-rules.v2.insert":{"description":"Insert a new business rule","post":{"operationId":"business-rules.v2.insert","tags":["business-rules"],"description":"Insert a new business rule","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_insert_v2.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_insert_v2.Response"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_insert.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/business-rules.v2.list":{"description":"Lists business rules (V2). Returns rule bodies as typed RuleSchema, sorted by priority descending with cursor-based pagination. Defaults to a maximum of 1000 results per page when no limit is specified.","post":{"operationId":"business-rules.v2.list","tags":["business-rules"],"description":"Lists business rules (V2). Returns rule bodies as typed RuleSchema, sorted by priority descending with cursor-based pagination. Defaults to a maximum of 1000 results per page when no limit is specified.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_list_v2.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_list_v2.Response"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_list.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/business-rules.v2.update":{"description":"Update a business rule","post":{"operationId":"business-rules.v2.update","tags":["business-rules"],"description":"Update a business rule","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_update_v2.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_update_v2.Response"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_rules_update.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/business-tags.businesses.search":{"description":"Lists the businesses carrying one tag, ordered by name. `name_contains` matches the business or organization name. Partly staff only.","post":{"operationId":"business-tags.businesses.search","tags":["Network Validation"],"description":"Lists the businesses carrying one tag, ordered by name. `name_contains` matches the business or organization name. Partly staff only.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_tags_businesses_search.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"Forward-paginated list plus the total number of items matching the\nrequest, independent of pagination. Use this for endpoints whose\nclients render \"showing N of M\" counts or drive page-number UIs.","type":"object","title":"ForwardPaginatedListWithTotal<business_tags_businesses_search.TaggedBusiness>","required":["items","pagination"],"properties":{"items":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/business_tags_businesses_search.TaggedBusiness"}},"pagination":{"$ref":"#/components/schemas/ForwardPaginationWithTotal"}}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_tags_businesses_search.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/business-tags.search":{"description":"Lists the distinct tags carried by at least one business in `country`. `id_contains` matches a case-insensitive substring of the tag id. Partly staff only.","post":{"operationId":"business-tags.search","tags":["Network Validation"],"description":"Lists the distinct tags carried by at least one business in `country`. `id_contains` matches a case-insensitive substring of the tag id. Partly staff only.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_tags_search.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"type":"object","title":"ForwardPaginatedList<business_network.Tag>","required":["items","pagination"],"properties":{"items":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/business_network.Tag"}},"pagination":{"oneOf":[{"description":"Null","type":"null"},{"$ref":"#/components/schemas/ForwardPagination"}]}}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_tags_search.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/businesses.get":{"description":"Gets business entity details which have related groups where the current user is a member","post":{"operationId":"businesses.get","tags":["Business Network"],"description":"Gets business entity details which have related groups where the current user is a member","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_get.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_get.Response"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_get.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/businesses.insert":{"description":"Inserts a new business.\nThe current user should be an admin of an owning organization","post":{"operationId":"businesses.insert","tags":["Business Network"],"description":"Inserts a new business.\nThe current user should be an admin of an owning organization","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_insert.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_insert.Response"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_insert.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/businesses.insurer.get":{"description":"This endpoint allows an authorized repairer to fetch details about an insurer business.","post":{"operationId":"businesses.insurer.get","tags":["Business Network"],"description":"This endpoint allows an authorized repairer to fetch details about an insurer business.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_insurer_get.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_insurer_get.Response"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_insurer_get.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/businesses.list":{"description":"Lists businesses which have related groups where the current user is a member.\nThe request requires 1 or many specific business entity types to filter by","post":{"operationId":"businesses.list","tags":["Business Network"],"description":"Lists businesses which have related groups where the current user is a member.\nThe request requires 1 or many specific business entity types to filter by","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_list.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_list.Response"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_list.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/businesses.remove":{"description":"Removes a business from the network. The current user should be in the admin group for the business","post":{"operationId":"businesses.remove","tags":["Business Network"],"description":"Removes a business from the network. The current user should be in the admin group for the business","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_remove.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"description":"empty object","type":"object","properties":{}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_remove.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/businesses.repairers.get":{"description":"Returns the repairer profile of a repairer site business of the current user's organization, with the site's preferences merged over its organization's repairer.","post":{"operationId":"businesses.repairers.get","tags":["Business Network"],"description":"Returns the repairer profile of a repairer site business of the current user's organization, with the site's preferences merged over its organization's repairer.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_repairers_get.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_network.Repairer"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_repairers_get.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/businesses.search":{"description":"Lists businesses filtered by name and kind across all organizations.","post":{"operationId":"businesses.search","tags":["Business Network"],"description":"Lists businesses filtered by name and kind across all organizations.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_search.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"type":"object","title":"ForwardPaginatedList<business_network.PublicBusiness>","required":["items","pagination"],"properties":{"items":{"description":"Expandable array type","type":"array","items":{"$ref":"#/components/schemas/business_network.PublicBusiness"}},"pagination":{"oneOf":[{"description":"Null","type":"null"},{"$ref":"#/components/schemas/ForwardPagination"}]}}}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_search.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/businesses.tags.get":{"description":"Returns the tags on one business. Partly staff only.","post":{"operationId":"businesses.tags.get","tags":["Network Validation"],"description":"Returns the tags on one business. Partly staff only.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_tags_get.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_tags_get.Response"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_tags_get.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/businesses.tags.update":{"description":"Inserts and removes tags on a business. Tags are country-scoped labels a violation definition reads to decide which businesses it applies to. Partly staff only.","post":{"operationId":"businesses.tags.update","tags":["Network Validation"],"description":"Inserts and removes tags on a business. Tags are country-scoped labels a violation definition reads to decide which businesses it applies to. Partly staff only.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_tags_update.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_tags_update.Response"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/business_tags_update.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/businesses.update":{"description":"Updates business details.\nThe current user should be in the admin group for the business","post":{"operationId":"businesses.update","tags":["Business Network"],"description":"Updates business details.\nThe current user should be in the admin group for the business","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_update.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_update.Response"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/businesses_update.Error"}}}}},"parameters":[{"name":"authorization","in":"header","required":true,"schema":{"$ref":"#/components/schemas/std.string.String"}}]}},"/api/v1/commerce.evaluate":{"description":"Evaluates a batch of commerce rules (at most 500 items). The caller must be a party to each rule (group owner or mapped business); results are index-aligned and failures are per-item","post":{"operationId":"commerce.evaluate","tags":["Commerce"],"description":"Evaluates a batch of commerce rules (at most 500 items). The caller must be a party to each rule (group owner or mapped business); results are index-aligned and failures are per-item","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/commerce.evaluate.Request"}}},"required":true},"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/commerce.evaluate.Response"}}}},"default":{"description":"Error cases","content":{"application/json":{"schema":{"$ref":"#/component
[...]
